summaryrefslogtreecommitdiff
path: root/debian/rsyslog-mysql.postrm
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2008-03-29 12:14:30 +0100
committerMichael Biebl <biebl@debian.org>2008-03-29 12:14:30 +0100
commit60ca71394b49d283841f91facefadb2d43de4313 (patch)
treeaf8b1a5dcfa0031a1d54ce318145a81e6f6e5c01 /debian/rsyslog-mysql.postrm
parent1ff3d60958bd7f477cf3dfaf8b20a4637109c18f (diff)
downloadrsyslog-60ca71394b49d283841f91facefadb2d43de4313.tar.gz
Imported Debian patch 1.19.2-1debian/1.19.2-1
Diffstat (limited to 'debian/rsyslog-mysql.postrm')
-rw-r--r--debian/rsyslog-mysql.postrm55
1 files changed, 55 insertions, 0 deletions
diff --git a/debian/rsyslog-mysql.postrm b/debian/rsyslog-mysql.postrm
new file mode 100644
index 0000000..f20f9fb
--- /dev/null
+++ b/debian/rsyslog-mysql.postrm
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+if [ -f /usr/share/dbconfig-common/dpkg/postrm ]; then
+ . /usr/share/dbconfig-common/dpkg/postrm
+ dbc_go rsyslog-mysql $@
+fi
+
+case "$1" in
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+ purge)
+ CONFIGFILE=/etc/rsyslog.d/mysql.conf
+
+ for ext in '~' '%' .bak .ucf-new .ucf-old .ucf-dist; do
+ rm -f $CONFIGFILE$ext
+ done
+
+ rm -f $CONFIGFILE
+
+ if which ucf >/dev/null; then
+ ucf --purge $CONFIGFILE
+ fi
+ if which ucfr >/dev/null; then
+ ucfr --purge rsyslog-mysql $CONFIGFILE
+ fi
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#
+
+exit 0